%define uname   ssr
%define libname %mklibname %{uname}-glinject

Name:           simplescreenrecorder
Version:        0.4.4
Release:        %mkrel 3
Summary:        A feature-rich screen recorder that supports X11 and OpenGL
Group:          Video/Utilities
License:        GPLv3+
URL:            https://www.maartenbaert.be/simplescreenrecorder
Source0:        https://github.com/MaartenBaert/ssr/archive/%{version}/%{uname}-%{version}.tar.gz
Patch0:         simplescreenrecorder-ffmpeg-5.0.patch
Patch1:         simplescreenrecorder-ffmpeg-7-compat.patch
# Upstream
Patch20:        001-Changed-min-version-to-3-5.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libv4l2)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xinerama)

Provides:       %{uname} = %{version}-%{release}
Recommends:     %{libname} = %{version}-%{release}
%ifarch x86_64
# 32-bit version of the library is required to record 32-bit OpenGL applications
Recommends:     lib%{uname}-glinject
%endif

%description
SimpleScreenRecorder is a Linux program that was created to record programs
and games.

The original goal was to create a program that was just really simple to
use, the result is actually a pretty powerful program. It's 'simple' in
the sense that it's easier to use than ffmpeg/avconv or VLC, because it
has a straightforward user interface.

%files
%doc *.txt README.md data/resources/about.htm
%license COPYING
%{_bindir}/%{name}
%{_bindir}/%{uname}-glinject
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/%{name}.metainfo.xml
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{uname}-glinject.1*

#----------------------------------------------------------------------------

%ifnarch %{arm} aarch64
%package -n     %{libname}
License:        GPLv3+
Summary:        A feature-rich screen recorder library
Group:          System/Libraries

%description -n %{libname}
This package provides SimpleScreenRecorder's library.

%files -n       %{libname}
%{_libdir}/libssr-glinject.so
%endif

#----------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{uname}-%{version}

# The BS doesn't like %% in filenames
pushd data/output-profiles
  mv High\%20Quality\%20Intermediate.conf HighQualityIntermediate.conf
  mv Live\%20Stream\%20\%281000kbps\%29.conf LiveStream1000kbps.conf
  mv Live\%20Stream\%20\%282000kbps\%29.conf LiveStream2000kbps.conf
  mv Live\%20Stream\%20\%283000kbps\%29.conf LiveStream3000kbps.conf
popd

%build
%cmake \
%ifarch %{arm} aarch64
    -DENABLE_X86_ASM=FALSE \
    -DWITH_GLINJECT=FALSE \
%endif
    -DWITH_QT5=TRUE

%cmake_build

%install
%cmake_install


%changelog
* Fri Jun 27 2025 aurr <aurr> 0.4.4-3.mga10
+ Revision: 2202855
- add patch for cmake4 minimum version

* Sun Dec 08 2024 daviddavid <daviddavid> 0.4.4-2.mga10
+ Revision: 2122890
- backport upstream patch to fix ffmpg 7.x compatibility
- rebuild for new ffmpeg 7.1

* Sun Sep 04 2022 neoclust <neoclust> 0.4.4-1.mga9
+ Revision: 1883917
- New version 0.4.4

* Thu Apr 07 2022 luigiwalser <luigiwalser> 0.4.3-3.mga9
+ Revision: 1846845
- add upstream patch to fix build with ffmpeg 5.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Wed Dec 30 2020 akien <akien> 0.4.3-1.mga8
+ Revision: 1665743
- Version 0.4.3

* Thu Dec 17 2020 umeabot <umeabot> 0.4.2-2.mga8
+ Revision: 1659851
- Rebuild for new Qt5

* Mon May 25 2020 shlomif <shlomif> 0.4.2-1.mga8
+ Revision: 1587518
- New version 0.4.2

* Wed May 13 2020 akien <akien> 0.4.1-1.mga8
+ Revision: 1583537
- Version 0.4.1

* Sat Feb 15 2020 umeabot <umeabot> 0.3.11-5.mga8
+ Revision: 1525042
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Apr 02 2019 umeabot <umeabot> 0.3.11-4.mga7
+ Revision: 1384818
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.3.11-3.mga7
+ Revision: 1301038
- Mageia 7 Mass Rebuild

* Sat Jul 28 2018 wally <wally> 0.3.11-2.mga7
+ Revision: 1245718
- fix build on aarch64

* Wed May 23 2018 daviddavid <daviddavid> 0.3.11-1.mga7
+ Revision: 1231769
- new version: 0.3.11
- remove merged upstream patch

* Sun Apr 29 2018 daviddavid <daviddavid> 0.3.10-2.mga7
+ Revision: 1223394
- add patch to fix build with ffmpeg 4.0

* Mon Mar 12 2018 akien <akien> 0.3.10-1.mga7
+ Revision: 1208506
- Version 0.3.10

* Sat Dec 30 2017 akien <akien> 0.3.9-1.mga7
+ Revision: 1187734
- Version 0.3.9

* Tue May 02 2017 akien <akien> 0.3.8-3.mga6
+ Revision: 1098373
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 0.3.8-2.mga6
+ Revision: 1090256
- Rebuild for ffmpeg 3.2.4

* Thu Nov 10 2016 akien <akien> 0.3.8-1.mga6
+ Revision: 1066159
- Version 0.3.8

* Sat Oct 29 2016 akien <akien> 0.3.7-1.mga6
+ Revision: 1064008
- Version 0.3.7

* Mon Sep 05 2016 daviddavid <daviddavid> 0.3.6-4.mga6
+ Revision: 1050120
- disable glinjectlib on ARM

* Sun Sep 04 2016 daviddavid <daviddavid> 0.3.6-3.mga6
+ Revision: 1050032
- port to Qt5

* Fri May 13 2016 daviddavid <daviddavid> 0.3.6-2.mga6
+ Revision: 1015027
- add a patch to fix build due to missing include random header

* Tue Jan 12 2016 akien <akien> 0.3.6-1.mga6
+ Revision: 922164
- Version 0.3.6

* Sun Jan 25 2015 akien <akien> 0.3.3-1.mga5
+ Revision: 812174
- Version 0.3.3

* Fri Jan 09 2015 akien <akien> 0.3.2-1.mga5
+ Revision: 809634
- Version 0.3.2

* Fri Nov 14 2014 akien <akien> 0.3.1-1.mga5
+ Revision: 797023
- Version 0.3.1

* Fri Nov 14 2014 akien <akien> 0.3.0-4.mga5
+ Revision: 797013
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 746259
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-2.mga5
+ Revision: 689163
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Aug 09 2014 akien <akien> 0.3.0-1.mga5
+ Revision: 661307
- Version 0.3.0

* Thu Apr 17 2014 akien <akien> 0.2.2-1.mga5
+ Revision: 615495
- imported package simplescreenrecorder

